Bug 60407 - IndexedDB: add detail to an ASSERT error message
Summary: IndexedDB: add detail to an ASSERT error message
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: David Grogan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-06 14:58 PDT by David Grogan
Modified: 2011-06-23 00:20 PDT (History)
3 users (show)

See Also:


Attachments
Patch (1.33 KB, patch)
2011-05-06 14:59 PDT, David Grogan
no flags Details | Formatted Diff | Diff
Patch (1.36 KB, patch)
2011-05-12 11:05 PDT, David Grogan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Grogan 2011-05-06 14:58:53 PDT
IndexedDB: add detail to an ASSERT error message
Comment 1 David Grogan 2011-05-06 14:59:14 PDT
Created attachment 92646 [details]
Patch
Comment 2 Hans Wennborg 2011-05-09 02:29:16 PDT
Looks good to me.
Comment 3 Eric Seidel (no email) 2011-05-11 19:39:26 PDT
Comment on attachment 92646 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=92646&action=review

> Source/WebCore/ChangeLog:8
> +        No new tests. (OOPS!)

This will cause the cq to fail.  You should just explain why testing isn't needed or possible.  In this case, because this is just a debug ASSERT. :)
Comment 4 David Grogan 2011-05-12 11:04:16 PDT
Comment on attachment 92646 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=92646&action=review

>> Source/WebCore/ChangeLog:8
>> +        No new tests. (OOPS!)
> 
> This will cause the cq to fail.  You should just explain why testing isn't needed or possible.  In this case, because this is just a debug ASSERT. :)

Thanks, I'll update.

The cq will fail if the changelog entry includes "No new tests."?  Or "(OOPS!)"?  Or both?
Comment 5 David Grogan 2011-05-12 11:05:24 PDT
Created attachment 93307 [details]
Patch
Comment 6 David Grogan 2011-06-17 15:32:16 PDT
Eric, could you take another look at this?
Comment 7 David Grogan 2011-06-22 21:23:12 PDT
(Actually cc'ing Eric this time)

Eric, could you take another look at this?
Comment 8 Eric Seidel (no email) 2011-06-22 23:39:23 PDT
Comment on attachment 93307 [details]
Patch

OK.
Comment 9 WebKit Review Bot 2011-06-23 00:20:50 PDT
Comment on attachment 93307 [details]
Patch

Clearing flags on attachment: 93307

Committed r89541: <http://trac.webkit.org/changeset/89541>
Comment 10 WebKit Review Bot 2011-06-23 00:20:55 PDT
All reviewed patches have been landed.  Closing bug.